gnutls: update to version 3.1.9 and simplify
authorRémi Denis-Courmont <remi@remlab.net>
Sat, 23 Aug 2014 10:42:37 +0000 (13:42 +0300)
committerRémi Denis-Courmont <remi@remlab.net>
Sat, 23 Aug 2014 13:09:12 +0000 (16:09 +0300)
configure.ac
contrib/src/gnutls/rules.mak
modules/misc/gnutls.c

index 2be1237..c10fded 100644 (file)
@@ -4064,7 +4064,7 @@ dnl
 AC_ARG_ENABLE(gnutls,
   [  --enable-gnutls         GNU TLS TLS/SSL support (default enabled)])
 AS_IF([test "${enable_gnutls}" != "no"], [
 AC_ARG_ENABLE(gnutls,
   [  --enable-gnutls         GNU TLS TLS/SSL support (default enabled)])
 AS_IF([test "${enable_gnutls}" != "no"], [
-  PKG_CHECK_MODULES(GNUTLS, [gnutls >= 3.1.4], [
+  PKG_CHECK_MODULES(GNUTLS, [gnutls >= 3.1.9], [
     VLC_ADD_PLUGIN([gnutls])
   ], [
     AS_IF([test -n "${enable_gnutls}"], [
     VLC_ADD_PLUGIN([gnutls])
   ], [
     AS_IF([test -n "${enable_gnutls}"], [
index e9533d1..a05fb07 100644 (file)
@@ -8,7 +8,7 @@ ifndef HAVE_DARWIN_OS
 PKGS += gnutls
 endif
 endif
 PKGS += gnutls
 endif
 endif
-ifeq ($(call need_pkg,"gnutls >= 3.0.20"),)
+ifeq ($(call need_pkg,"gnutls >= 3.1.9"),)
 PKGS_FOUND += gnutls
 endif
 
 PKGS_FOUND += gnutls
 endif
 
index a096094..8ef2455 100644 (file)
@@ -53,7 +53,7 @@ static int gnutls_Init (vlc_object_t *p_this)
         goto error;
     }
 
         goto error;
     }
 
-    const char *psz_version = gnutls_check_version ("3.1.4");
+    const char *psz_version = gnutls_check_version ("3.1.9");
     if (psz_version == NULL)
     {
         msg_Err (p_this, "unsupported GnuTLS version");
     if (psz_version == NULL)
     {
         msg_Err (p_this, "unsupported GnuTLS version");
@@ -183,7 +183,7 @@ static int gnutls_SessionOpen (vlc_tls_t *tls, int type,
         goto error;
     }
 
         goto error;
     }
 
-    gnutls_transport_set_ptr (session, (gnutls_transport_ptr_t)(intptr_t)fd);
+    gnutls_transport_set_int (session, fd);
 
     tls->sys = session;
     tls->sock.p_sys = NULL;
 
     tls->sys = session;
     tls->sock.p_sys = NULL;